<?php
/**
 * @version		$Id: fulldescription.php,v 1.27 2012-03-16 15:34:46 juanca Exp $
 * @package		vpl. launch fulldescription_form
 * @copyright	Copyright (C) 2009 Juan Carlos Rodríguez-del-Pino. All rights reserved.
 * @license		GNU/GPL, see LICENSE.txt or http://www.gnu.org/licenses/gpl-2.0.html
 * @author		Juan Carlos Rodriguez-del-Pino
 **/

require_once dirname(__FILE__).'/../../../config.php';
require_once dirname(__FILE__).'/../locallib.php';
require_once dirname(__FILE__).'/fulldescription_form.php';
require_once dirname(__FILE__).'/../vpl.class.php';
$id = required_param('id',PARAM_INT);
$vpl = new mod_vpl($id);
$vpl->require_capability(VPL_MANAGE_CAPABILITY);
$mform = new mod_vpl_fulldescription_form('fulldescription.php');
//Display page
$course = $vpl->get_course();
$vpl->print_header(get_string('fulldescription',VPL));
$vpl->print_heading_with_help('fulldescription');
$vpl->print_configure_tabs(basename(__FILE__));
$link = vpl_rel_url('fulldescription.php','id',$id);
if ($mform->is_cancelled()){
	redirect($link);
} else if ($fromform=$mform->get_data()){
	if(isset($fromform->fulldescription)){
		$vpl->add_to_log('save full description',$link);
		$vpl->set_fulldescription($fromform->fulldescription);
		vpl_redirect(get_string('saved',VPL),$link);
	}
	else{
		error(get_string('notsaved',VPL));
		vpl_redirect($link);
	}
} else {
	// this branch is executed if the form is submitted but the data doesn't validate and the form should be redisplayed
	// or on the first display of the form.
	$data = new stdClass();
	$data->id = $id;
	$data->fulldescription = $vpl->get_fulldescription();
	$mform->set_data($data);
	$vpl->add_to_log('edit full description',$link);
	$mform->display();
}
$vpl->print_footer();

?>