<?php
/**
 * @version		$Id: submission.php,v 1.31 2012-01-18 17:14:25 juanca Exp $
 * @package		vpl. process submission form
 * @copyright	Copyright (C) 2009 Juan Carlos Rodríguez-del-Pino. All rights reserved.
 * @license		GNU/GPL, see LICENSE.txt or http://www.gnu.org/licenses/gpl-2.0.html
 * @author		Juan Carlos Rodriguez-del-Pino
 **/

require_once dirname(__FILE__).'/../../../config.php';
require_once dirname(__FILE__).'/../locallib.php';
require_once dirname(__FILE__).'/submission_form.php';
require_once dirname(__FILE__).'/../vpl.class.php';
require_once dirname(__FILE__).'/../vpl_submission.class.php';

$id = required_param('id',PARAM_INT);
$vpl = new mod_vpl($id);
$userid = optional_param('userid',FALSE,PARAM_INT);
if(!$userid || $userid == $USER->id){//Make own submission
	$userid = $USER->id;
	if($vpl->get_instance()->restrictededitor){
		$vpl->require_capability(VPL_MANAGE_CAPABILITY);
	}
	$vpl->require_capability(VPL_SUBMIT_CAPABILITY);
	$vpl->network_check();
	$vpl->password_check();
}
else { //Make other user submission
	$vpl->require_capability(VPL_MANAGE_CAPABILITY);
}
$mform = new mod_vpl_submission_form('submission.php',$vpl);
$course = $vpl->get_course();
$instance = $vpl->get_instance();
if ($mform->is_cancelled()){
	redirect(vpl_mod_href('view.php','id',$id));
	die;
}
$vpl->print_header(get_string('submission',VPL));
$vpl->print_view_tabs(basename(__FILE__));
if ($fromform=$mform->get_data()){
	$files=array();
	for($i = 0 ; $i < $instance->maxfiles ; $i++ ){
		$attribute = 'file'.$i;
		$file = $mform->_form->getElement($attribute);
		if($file){
			$info = & $file->getValue();
			$data = $mform->get_file_content($attribute,true);
			//autodetect data file encode
			$encode = mb_detect_encoding($data, 'UNICODE, UTF-16, UTF-8, ISO-8859-1',true);
			if($encode > ''){ //If code detected
				$data = iconv($encode,'UTF-8',$data);
			}
			$files[] = array('name' => $info['name'], 'data' => $data);
		}
	}
	$error_message='';
	if($vpl->add_submission($userid,$files,$fromform->comments,$error_message)){
		$vpl->add_to_log('submit files',vpl_rel_url('forms/submissionview.php','id',$id,'userid',$userid));
		//if evaluate on submission
		if($instance->evaluate && $instance->evaluateonsubmission){
			print_box(get_string('saved',VPL));
			redirect(vpl_mod_href('forms/evaluation.php','id',$id,'userid',$userid),
					get_string('evaluate',VPL),2);
		}
		notice(get_string('saved',VPL),vpl_mod_href('forms/submissionview.php','id',$id,'userid',$userid));
	}else{	
		notice($error_message,vpl_mod_href('forms/submission.php','id',$id,'userid',$userid));
	}
} else {
	//Display page
	$data = new stdClass();
	$data->id = $id;
	$data->userid = $userid;
	$mform->set_data($data);
	$mform->display();
}
$vpl->print_footer();

?>