/**
 * @version		$Id: transferResult.js,v 1.10 2010-12-10 23:45:23 juanca Exp $
 * @package		vpl. jscript functions to transfer results to the applet
 * @copyright	Copyright (C) 2009 Juan Carlos Rodríguez-del-Pino. All rights reserved.
 * @license		GNU/GPL, see LICENSE.txt or http://www.gnu.org/licenses/gpl-2.0.html
 * @author		Juan Carlos Rodriguez-del-Pino
 **/

/**
 * Transfer compilation result to the applet
 * Get information from HTML div elements with ids:
 * grade, compilation and execution
 * @param win windows where the applet is
 * @return void
 */
function transferResult(win){
  if(win==null) return;
  var applet = win.document.getElementById('appleteditorid');
  try{
	  var grade_element = window.document.getElementById('grade');
	  var compilation_element = window.document.getElementById('compilation');
	  var execution_element = window.document.getElementById('execution');
	  var grade = '';
	  var compilation = '';
	  var execution = '';
	  if(grade_element && grade_element.innerHTML>'')
	    grade=grade_element.innerHTML;
	  if(compilation_element && compilation_element.innerHTML>'' )
	  	compilation='%3Chtml%3E%3Cbody%3E'+compilation_element.innerHTML+'%3C%2Fbody%3E%3C%2Fhtml%3E';
	  if(execution_element && execution_element.innerHTML > '')
	    execution='%3Chtml%3E%3Cbody%3E'+execution_element.innerHTML+'%3C%2Fbody%3E%3C%2Fhtml%3E';
	  applet.setResult(grade,compilation,execution);
  }
  catch(e){
	  alert('Transfer result error: '+e);
  }
}

/**
 * Start/show applet status progress bar
 * @param win windows where the applet is
 * @return void
 */
function startStatusBarProcess(win,text){
  if(win==null) return;
  var applet = win.document.getElementById('appleteditorid');
  if(applet==null) {
     return;
  }
  applet.startStatusBarProcess(text);
}

/**
 * Keep alive applet status bar
 * @param win windows where the applet is
 * @return void
 */
function updateStatusBarProcess(win){
  if(win==null) return;
  var applet = win.document.getElementById('appleteditorid');
  if(applet==null) {
     return;
  }
  applet.updateStatusBarProcess();
}

/**
 * Stop and set a message that will disapear
 * @param win windows where the applet is
 * @param text to show
 * @return void
 */
function endStatusBarProcess(win,text){
  if(win==null) return;
  var applet = win.document.getElementById('appleteditorid');
  if(applet==null) {
     return;
  }
  if(typeof(text) == 'undefined'){
	  applet.endStatusBarProcess();
  }else{
	  applet.endStatusBarProcess(text);
  }
}
