<?php
/**
 * @version		$Id: checkjailservers.php,v 1.2 2011-07-26 08:54:35 juanca Exp $
 * @package		vpl. full description form definition
 * @copyright	Copyright (C) 2010 Juan Carlos Rodríguez-del-Pino. All rights reserved.
 * @license		GNU/GPL, see LICENSE.txt or http://www.gnu.org/licenses/gpl-2.0.html
 * @author		Juan Carlos Rodriguez-del-Pino
 **/
require_once dirname(__FILE__).'/../../../config.php';
require_once dirname(__FILE__).'/../vpl.class.php';
require_once dirname(__FILE__).'/../jail/HTTP_request.class.php';
require_once dirname(__FILE__).'/../jail/jailserver_manager.class.php';

$id = required_param('id',PARAM_INT);
$vpl = new mod_vpl($id);
$vpl->require_capability(VPL_MANAGE_CAPABILITY);
//Display page
$CFG->stylesheets[] = vpl_mod_href('css/checkjailservers.css');
$course = $vpl->get_course();
$vpl->print_header(get_string('check_jail_servers',VPL));
$vpl->print_heading_with_help('check_jail_servers');
$vpl->print_configure_tabs(basename(__FILE__));
$servers = vpl_jailserver_manager::check_servers($vpl->get_instance()->jailservers);
$table->head  = array ('#', 
						get_string('server',VPL),
						get_string('currentstatus',VPL),
						get_string('lasterror',VPL),
						get_string('lasterrordate',VPL),
						get_string('totalnumberoferrors',VPL));
$table->align = array ('right','left', 'left', 'left', 'left', 'right');
$table->data =array();
$num=0;
$clean_url = !$vpl->has_capability(VPL_SETJAILS_CAPABILITY);
foreach($servers as $server){
	$serverurl=$server->server;
	if($clean_url){
		$serverurl=str_replace('http://','',$serverurl);
		$pos=strrpos($serverurl,':');
		if($pos !== false){
			$serverurl = substr($serverurl,0,$pos);
		}
		$pos=strpos($serverurl,'/',2);
		if($pos !== false){
			$serverurl = substr($serverurl,0,$pos);
		}
	}
	$num++;
	if($server->offline){
		$status='<div class="vpl_server_failed">'.$server->current_status.'</div>';
	}else{
		$status=$server->current_status;
	}
	$table->data[] = array(	$num,
							$serverurl,
							$status,
							$server->laststrerror,
							$server->lastfail>0?userdate($server->lastfail):'',
							$server->nfails);
}
print_table($table);
$vpl->print_footer();

?>